# GreenDoge Blockchain
![image](https://github.com/GreenDoge-Network/greendoge-blockchain/blob/96981368b3949a91b836e8c01dca3b3ba0207d50/greendoge.jpg)
[Download GreenDoge blockchain](https://github.com/GreenDoge-Network/greendoge-blockchain/releases)

GreenDoge is an environmentally-friendly blockchain that is easier to use, more efficient, secure, and lower energy consumption. Safely use your Chia mnemonics and plots to mine Green Dogecoin without plotting. Here are some of the features and benefits:
* Support Chia OG and new portable NFT plots without new hardware and plotting
* Lower energy consumption when mining with Chia
* Reduce the pre-mine value by increasing the block rewards
* [Proof of space and time](https://docs.google.com/document/d/1tmRIb7lgi4QfKkNaxuKOBHRmwbVlGL4f7EsBDr_5xZE/edit) based consensus which allows anyone to farm with commodity hardware
* Very easy to use full node and farmer GUI and cli (thousands of nodes active on mainnet)
* Simplified UTXO based transaction model, with small on-chain state
* Lisp-style Turing-complete functional [programming language](https://chialisp.com/) for money related use cases
* BLS keys and aggregate signatures (only one signature per block)
* Support for light clients with fast, objective syncing
* A growing community of farmers and developers around the world

For more information, see our website and downloads at https://greendoge.dog.

## Latest News
- We specifically compared [the GreenDoge Issuance Schedule](https://docs.google.com/spreadsheets/d/e/2PACX-1vRRxSd9cvJlPSspm63RYWPzLk82jB4lPZZT9pg8pGLLHiwLZJvq2R26TncCBzQPWuK1GX0SaOUffzSL/pubhtml) with Chia. Help miners and users who support us understand how valuable GDOG coins are in your hands.
- You can also trade and vote GreenDoge on [Chianow](https://chianow.net/markets) now.
- The GreenDoge whitepaper v1.0.0 was officially released and the emission schedule was confirmed, downloads at https://greendoge.dog/whitepaper.

## Installing

Install instructions are available in the
[INSTALL](https://github.com/Chia-Network/chia-blockchain/wiki/INSTALL)
section of the
[chia-blockchain repository wiki](https://github.com/Chia-Network/chia-blockchain/wiki).

## Running

Once installed, a
[Quick Start Guide](https://github.com/Chia-Network/chia-blockchain/wiki/Quick-Start-Guide)
is available from the repository
[wiki](https://github.com/Chia-Network/chia-blockchain/wiki).

## Syncing
If you need a quick synchronization, you can [download the database](https://chiadb.org/) and overwrite hidden directory ".greendoge\mainnet\db\blockchain_v1_mainnet.sqlite".

## Node Information
- dns-introducer.greendoge.dog
- introducer.greendoge.dog:6545
- 147.135.4.49:6544

## Mining Rewards
According to the emission schedule of [the GreenDoge whitepaper v1.0.0](https://greendoge.dog/whitepaper), the block rewards are as follows. If you assign plots to a Chia plot NFT instead of a GreenDoge plot NFT, you will get the 1/8 rewards directly in GreenDoge blockchain software. The other 7/8 rewards must be taken out through [fd-cli](https://github.com/GreenDoge-Network/fd-cli) or [nft-recovery](https://alltheblocks.net/nft-recovery) tool after 7 days.
- 100 GDOG for the first 1 month after launch.
- 20 GDOG in months 2 through 6.
- 10 GDOG in months 7 through 12.
- 5 GDOG in year 2.
- 2.5 GDOG in years 3 through 4.
- 1.25 GDOG in years 5 through 6.
- 0.6125 GDOG in years 7 through 8.
- 0.30625 GDOG for every year after year 9.

## Links
- Website: https://greendoge.dog/ <br>
- Whitepaper: https://greendoge.dog/whitepaper <br>
- Issuance Schedule: http://issuance-schedule.greendoge.dog/ <br>
- Discord: https://discord.gg/HXbcfPGrgz <br>
- Twitter: https://twitter.com/Green_Dogecoin <br>
- Reddit: https://www.reddit.com/r/GreenDogecoin <br>
- Facebook: <br>
https://www.facebook.com/GreenDoge-102281638814048 (Page) <br>
https://www.facebook.com/groups/1152820041873426 (Group) <br>
- GitHub: https://github.com/GreenDoge-Network/greendoge-blockchain <br>
- Calculator: https://chiaforkscalculator.com/greendoge <br>
- Telegram: <br>
https://t.me/green_doge (English) <br>
https://t.me/green_dogecoin (Chinese) <br>
- Exchange: <br>
https://forkschiaexchange.com/ <br>
https://chianow.net/markets <br>
https://market.posat.io/ <br>
https://www.forks.green/trading/gdogxch <br>
https://chivescoin.net/ <br>
- Explorer: <br>
https://greendoge.posat.io/ <br>
https://alltheblocks.net/greendoge <br>
https://greendoge.chivescoin.org/ <br>
- Database: <br>
https://chiadb.org/ <br>
https://chiaforksblockchain.com/

## Sponsor 
Donate the developer for advertising GreenDoge, renting the Timelord and Introducer servers
- BTC: 18e1gdU8EXg6V6gCqRWt3rEQTEsAqoPKaz
- ETH: 0x4ae2822c7391dbc32ba6d0a7ab315475d0b44581
- BNB: bnb136ns6lfw4zs5hg4n85vdthaad7hq5m4gtkgf23 / MEMO 104421505
- TRC20: TVbXhifwY34cSVK6GuT5QWCxtWQiiCnYFz
- XCH: xch1wz5u3hj3wq6lzpsf5qxrhae6w2ff08mxekum03htpsgw3t98zfws2r24pu
- GDOG: gdog1u5qz05xkr7k7x3yuqdqmsz8yvvj0w9608wue7ykrnrgqnqrw0ltq7qhkk8

## History
- The ChiaDoge(CDOG) testnet was launched on July 3, different from ChiaDogecoin(XCD) that was launched on July 10.
- The name was changed from ChiaDoge to GreenDoge(GDOG) on July 7.
- The mainnet was launched on July 9.
- [The GreenDoge whitepaper v1.0.0](https://greendoge.dog/whitepaper) was released on August 31.
